Update organization custom role

Applies a partial update to the custom role, modifying only the fields supplied in the request body.

Token scopes: organizations:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

roleIdstringRequired
ID of the role

Request

This endpoint expects an object.
dataobjectOptional

Response

Successful operation
iddoubleOptional
ID of the role
namestringOptional
Name of the role
scopestringOptional
Scope of the role
descriptionstringOptional
Description of the role
permissionSetslist of stringsOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error